version: "3.6"
services:

  ingress:
    image: registry.dso.mil/platform-one/party-bus/fiesta-wagon/fiesta-wagon-ingress:20240328
    container_name: <<projectName>>-ingress
    volumes:
      - ./config/ingress.conf:/etc/nginx/fiesta-wagon-ingress.conf
    ports:
      - 443:443
    networks:
      - <<projectName>>-net
    extra_hosts:
      - "healthcheck.dev.bigbang.mil:127.0.0.1"
    healthcheck:
      test: curl --fail https://healthcheck.dev.bigbang.mil
      timeout: 10s
      start_period: 30s
      retries: 10

  users:
    image: registry.dso.mil/platform-one/party-bus/fiesta-wagon/fiesta-wagon-users:0.2.0
    container_name: <<projectName>>-users
    volumes:
      - ./users-db:/srv/users/api/db
      - ./config/healthcheck.js:/opt/healthcheck/healthcheck.js
    networks:
      - <<projectName>>-net
    healthcheck:
      test: /opt/healthcheck/healthcheck.js http://localhost:8080
      timeout: 10s
      start_period: 10s
      retries: 10

